/*
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 */

#ifndef _EMU_SHARED_H
#define _EMU_SHARED_H

#include "emu_defs.h"

/*
 * Size of area to share memory
 * This has been taken from JL's spec.
 */

#define SHARED_QUEUE_FLAGS_AREA (4+4+4+4+108+1208+484+108)
#define SHARED_VIDEO_AREA (0xc0000-0xa0000+1)

#define TMPFILE "/var/run/dosemu."

#define SHARED_KEYBOARD_OFFSET 1816
#define CLIENT_REQUEST_FLAG_AREA 8

EXTERN unsigned char *shared_qf_memory;

extern void shared_memory_init(void);
extern void shared_memory_exit(void);
extern void shared_keyboard_init(void);

#endif /* _EMU_SHARED_H */

